package org.esupportail.portal.utils.channels;

/**
 * IConfigMail<br>
 * <br>
 * Interface dcrivant les mthodes que doit implmenter une classe de configuration pour une channel
 * envoyant des mails d'erreur<br> 
 * <br>
 * (c)Copyright <a href="http://www.univ-nancy2.fr">CRI Nancy 2 2004</a><br>
 * @author <a href="mailto:cedric.champmartin@univ-nancy2.fr">Cdric Champmartin</a>
 * @version $Revision: 1.1 $
 */

public interface IConfigMail {
	
	/**
	 * Retourne le sujet du mail
	 * @return
	 */
    public String getSubject();
	
	/**
	 * Retourne l'expditeur du mail
	 * @return
	 */
    public String getFrom();
	
	/**
	 * Retourne le destinataire du mail
	 * @return
	 */
    public String getTo();
	
	/**
	 * Retourne le contenu du mail
	 * @return
	 */
    public String getMessage();
	
	/**
	 * Retourne le serveur SMTP
	 * @return
	 */
    public String getSmtp();
	
	/**
	 * Retourne le message d'erreur
	 * @return
	 */
    public String getDisplayError();
}
